### Method

# Camel Service connect_sync

since: 3.6

#### Declaration [src]

    gboolean
    camel_service_connect_sync (
      CamelService* service,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Connects `service` to a remote server using the information in its `CamelService:settings` instance.

If a connect operation is already in progress when this function is called, its results will be reflected in this connect operation.

Available since: 3.6

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the connection is made or `FALSE` otherwise.